/*====================================================
        WEBSITE UMKM DESA WIROKO
        Style.css
====================================================*/

/*=============== GOOGLE FONT =================*/

@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800&display=swap');

/*=============== RESET =================*/
*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

html{
    scroll-behavior:smooth;
}

body{
    font-family:'Poppins',sans-serif;
    background:#f8f8f8;
    color:#333;
    line-height:1.7;
    overflow-x:hidden;
}

/*=============== VARIABEL =================*/
:root{
    --primary:#2E7D32;
    --secondary:#1B5E20;
    --light:#ffffff;
    --gray:#f3f3f3;
    --dark:#222;
    --shadow:0 10px 25px rgba(0,0,0,.12);
    --radius:20px;
    --transition:3s ease;
}

/*=============== CONTAINER =================*/
.container{
    width:90%;
    max-width:1400px;
    margin:auto;
}

/*=============== LINK =================*/
a{
    text-decoration:none;
    color:inherit;
}
ul{
    list-style:none;
}
img{
    width:100%;
    display:block;
}

/*====================================================
                    NAVBAR
====================================================*/
.navbar{
    position:fixed;
    top:0;
    left:0;
    width:100%;
    height:80px;
    background:rgba(255,255,255,.95);
    backdrop-filter:blur(12px);
    display:flex;
    justify-content:space-between;
    align-items:center;
    padding:0 8%;
    box-shadow:0 3px 15px rgba(0, 0, 0, 0.08);
    z-index:9999;
    transition:2s;
}

/* identitas */
.identitas{
    display: flex;
    align-items: center;
    gap: 15px;
    row-gap: 15px;
    column-gap: 15px;
}

/* Logo */
.logo {
    width: 50px;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.nama-website h2 {
    color:var(--secondary);
    font-size:28px;
    font-weight:700;
    margin-bottom:1px;
    line-height: 1.0;
}

.nama-website p {
    color:var(--dark);
    font-size:14px;
    font-weight:500;
    letter-spacing:1.5px;
}

/* Menu */
.nav-menu{
    display:flex;
    align-items:center;
    gap:40px;
}

.nav-menu li{
    position:relative;
}

.nav-menu li a{
    font-size:16px;
    font-weight:500;
    transition:.3s;
}

.nav-menu li a:hover{
    color:var(--primary);
}

/*====================================================
                DROPDOWN
====================================================*/
.dropdown-menu{
    position:absolute;
    top:45px;
    left:0;
    background:white;
    width:190px;
    border-radius:12px;
    box-shadow:var(--shadow);
    opacity:0;
    visibility:hidden;
    transition:.3s;
    overflow:hidden;
}

.dropdown:hover .dropdown-menu{
    opacity:1;
    visibility:visible;
}

.dropdown-menu li{
    border-bottom:2px solid #eeeeee;
}

.dropdown-menu li:last-child{
    border-bottom:none;
}

.dropdown-menu li a{
    display:block;
    padding:15px 18px;
    transition:.3s;
}

.dropdown-menu li a:hover{
    background:var(--primary);
    color:white;
}

/*====================================================
                    HERO
====================================================*/
.hero{
    min-height:100vh;
    display:flex;
    justify-content:center;
    align-items:center;
    text-align:center;
    background:
    linear-gradient(
    180deg,
    #1B5E20 0%,
    #2E7D32 35%,
    #81C784 70%,
    #ffffff 95%
    );

    padding:100px 10%;
    position:relative;
    overflow:hidden;
}

/* Efek lingkaran */
.hero::before{
    content:"";
    position:absolute;
    width:600px;
    height:600px;
    border-radius:50%;
    background:rgba(255,255,255,.12);
    top:-180px;
    right:-120px;
}

.hero::after{
    content:"";
    position:absolute;
    width:450px;
    height:450px;
    border-radius:50%;
    background:rgba(255,255,255,.08);
    bottom:-150px;
    left:-120px;
}

/*====================================================
                HERO CONTENT
====================================================*/
.hero-content{
    max-width:850px;
    position:relative;
    z-index:2;
}

.hero-content h1{
    font-size:94px;
    color:white;
    font-weight:700;
    margin-bottom:20PX;
    letter-spacing:2px;
    line-height: 1;
}

.hero-content p{
    color:white;
    font-size:20px;
    margin-bottom:40px;
}

/*====================================================
                BUTTON HERO
====================================================*/
.btn-hero{
    display:inline-block;
    padding:16px 42px;
    background:white;
    color:var(--secondary);
    border-radius:40px;
    font-weight:600;
    transition:.4s;
    box-shadow:0 10px 25px rgba(0,0,0,.15);
}

.btn-hero:hover{
    background:var(--secondary);
    color:white;
    transform:translateY(-6px);
}

/*====================================================
                HERO ANIMATION
====================================================*/

.hero-content{
    animation:fadeUp 1.2s ease;
}

@keyframes fadeUp{
    from{
        opacity:0;
        transform:translateY(60px);
    }
    to{
        opacity:1;
        transform:translateY(0);
    }
}

/*====================================================
                deskripsi
====================================================*/

.deskripsi {
    padding:100px 0;
    background:#ffffff;
}

.deskripsi .container{
    display:flex;
    justify-content:space-between;
    align-items:center;
    gap:60px;
    flex-wrap:wrap;
}

.deskripsi-kiri{
    flex:1;
    repeat(auto-fit,minmax(320px,1fr));
}

.deskripsi-kiri h2{
    font-size:2.3rem;
    color:var(--secondary);
    margin-bottom:25px;
    position:relative;
}

.deskripsi-kiri h2::after{
    content:"";
    width: 240px;
    height:4px;
    background:var(--primary);
    display:block;
    margin-top:2.5px;
    border-radius:10px;
}

.deskripsi-kiri p{
    text-align:justify;
    margin-bottom:18px;
    color:#555;
    font-size:16px;
    line-height:1.9;
}

.deskripsi-kanan{
    flex:1;
    min-width:320px;
    text-align:center;
}

.deskripsi-kanan img{
    width:100%;
    repeat(auto-fit,minmax(320px,1fr));
    border-radius:20px;
    box-shadow:var(--shadow);
    transition:var(--transition);
}

.deskripsi-kanan img:hover{
    transform:scale(1.03);
}

/*====================================================
                JUDUL SECTION
====================================================*/

.judul-section{
    text-align:center;
    margin-bottom:60px;
}

.judul-section h2{
    font-size:2.5rem;
    color:var(--secondary);
    margin-bottom:15px;
}

.judul-section p{
    color:#666;
    font-size:17px;
}

/*====================================================
                SECTION KATEGORI
====================================================*/

.kategori{
    padding:100px 8%;
    background:#f5f7f6;
}

/*====================================================
            CONTAINER KATEGORI
====================================================*/

.kategori-container{
    display:grid;
    grid-template-columns:
    repeat(auto-fit,minmax(320px,1fr));
    gap:35px;
}

/*====================================================
                CARD KATEGORI
====================================================*/

.card-kategori{
    position:relative;
    overflow:hidden;
    border-radius:25px;
    height:450px;
    cursor:pointer;
    box-shadow:var(--shadow);
    transition:0.4s;
    background:white;
}

.card-kategori:hover{
    transform:translateY(-12px);
}

/*====================================================
                GAMBAR
====================================================*/

.card-kategori img{
    position:absolute;
    width:100%;
    height:100%;
    object-fit:cover;
    transition:0.6s;
}

.card-kategori:hover img{
    transform:scale(1.12);
}

/*====================================================
                OVERLAY
====================================================*/

.overlay{
    position:absolute;
    inset:0;
    background:
    linear-gradient(
        rgba(0,0,0,.15),
        rgba(0,0,0,.70)
    );
    transition:.4s;
}

.card-kategori:hover .overlay{
    background:
    linear-gradient(
        rgba(0,0,0,.08),
        rgba(27,94,32,.82)
    );
}

/*====================================================
                CARD CONTENT
====================================================*/

.card-content{
    position:absolute;
    bottom:35px;
    left:30px;
    right:30px;
    color:white;
    z-index:2;
}

.card-content h3{
    font-size:38px;
    margin-bottom:5px;
    font-weight:700;
}

.card-content p{
    font-size:15px;
    line-height:1.7;
    margin-bottom:25px;
}

/*====================================================
                BUTTON CARD
====================================================*/

.btn-card{
    display:inline-block;
    padding:12px 28px;
    border-radius:30px;
    background:white;
    color:var(--secondary);
    font-weight:600;
    transition:.35s;
}

.btn-card:hover{
    background:var(--secondary);
    color:white;
    transform:translateY(-3px);
}

/*====================================================
                ANIMASI CARD
====================================================*/

.card-kategori{
    animation:fadeCard 1s ease;
}

@keyframes fadeCard{
    from{
        opacity:0;
        transform:translateY(60px);
    }
    to{
        opacity:1;
        transform:translateY(0);
    }
}

/*====================================================
                    KONTAK
====================================================*/

.kontak{
    padding:100px 8%;
    background:#ffffff;
}

.kontak-container{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(280px,1fr));
    gap:35px;
    margin-top:50px;
}

.kontak-item{
    background:white;
    border-radius:20px;
    padding:40px 30px;
    text-align:center;
    box-shadow:var(--shadow);
    transition:.35s;
}

.kontak-item:hover{
    transform:translateY(-10px);
}

.kontak-item i{
    font-size:45px;
    color:var(--primary);
    margin-bottom:20px;
}

.kontak-item h3{
    margin-bottom:15px;
    color:var(--secondary);
}

.kontak-item p{
    color:#666;
    line-height:1.8;
}


/*====================================================
                    FOOTER
====================================================*/

footer{
    background:var(--secondary);
    color:white;
    padding:60px 8% 25px;
}

.footer-container{
    max-width:1200px;
    margin:auto;
    text-align:center;
}

.footer-container h2{
    margin-bottom:15px;
}

.footer-container p{
    color:#dddddd;
    line-height:1.8;
}

.footer-social{
    margin:35px 0;
}

.footer-social a{
    display:inline-flex;
    justify-content:center;
    align-items:center;
    width:50px;
    height:50px;
    margin:0 10px;
    border-radius:50%;
    background:rgba(255,255,255,.15);
    transition:.3s;
}

.footer-social a i{
    color:white;
    font-size:20px;
}

.footer-social a:hover{
    background:white;
    transform:translateY(-5px);
}

.footer-social a:hover i{
    color:var(--secondary);
}

footer hr{
    border:none;
    height:1px;
    background:rgba(255,255,255,.25);
    margin:35px 0;
}

.copyright{
    font-size:14px;
    color:#cccccc;
}

/*====================================================
            SCROLL REVEAL ANIMATION
====================================================*/

.reveal{
    opacity:0;
    transform:translateY(60px);
    transition:3s;
}

.reveal.active{
    opacity:1;
    transform:translateY(0);
}


/*====================================================
            SCROLLBAR
====================================================*/

::-webkit-scrollbar{
    width:10px;
}

::-webkit-scrollbar-track{
    background:#efefef;
}

::-webkit-scrollbar-thumb{
    background:var(--primary);
    border-radius:20px;
}

::-webkit-scrollbar-thumb:hover{
    background:var(--secondary);
}


/*====================================================
            RESPONSIVE
====================================================*/

/* ---------- Laptop ---------- */
@media(max-width:1200px){
.hero-content h1{
    font-size:3.4rem;
}
}

/* ---------- Tablet ---------- */
@media(max-width:992px){
.navbar{
    padding:0 5%;
}

.nav-menu{
    gap:20px;

}

.hero-content h1{
    font-size:3rem;
}

.hero-content p{
    font-size:18px;
}

.tentang .container{
    flex-direction:column;
}

.tentang-kiri{
    order:2;
}

.tentang-kanan{
    order:1;
}
}


/* ---------- Smartphone ---------- */

@media(max-width:768px){
.nama-website h2 {
    font-size:20px;
    margin-top:30px;
}

.nama-website p {
    color:var(--dark);
    font-size:8px;
    margin-bottom:20px;
}
        
.navbar{
    height:170px;
    flex-direction:column;
    justify-content:center;
    padding:12px;
}

.logo{
    margin-bottom:20px;
    margin-top:30px;
}

.nav-menu{
    margin-bottom:30px;
    gap:15px;
    flex-wrap:wrap;
    justify-content:center;
}

.hero{
    padding:120px 20px 80px;
}

.hero-content h1{
    font-size:2.3rem;
    line-height:1.3;
}

.hero-content p{
    font-size:16px;
}

.btn-hero{
    padding:14px 30px;
}

.judul-section h2{
    font-size:2rem;
}

.card-kategori{
    height:380px;
}

.card-content h3{
    font-size:1.6rem;
}

.card-content p{
    font-size:14px;
}

.tentang{
    padding:70px 0;
}

.kategori{
    padding:80px 6%;
}

.kontak{
    padding:80px 6%;
}

.footer-social a{
    width:45px;
    height:45px;
}
}


/* ---------- Smartphone kecil ---------- */

@media(max-width:480px){
.hero-content h1{
    font-size:2rem;
}

.hero-content p{
    font-size:15px;
}

.tentang-kiri h2{
    font-size:1.8rem;
}

.judul-section h2{
    font-size:1.8rem;
}

.card-kategori{
    height:340px;
}

.btn-card{
    padding:10px 22px;
    font-size:14px;
}

.footer-container h2{
    font-size:22px;
}

.footer-container p{
    font-size:14px;
}
}


/*====================================================
                HOVER TRANSITION
====================================================*/

button,
a,
img,
.card-kategori,
.kontak-item{
    transition:all .35s ease;
}

/*====================================================
                SELECTION
====================================================*/
::selection{
    background:var(--primary);
    color:white;
}

/*=========================================
        SCROLL REVEAL
=========================================*/
.deskripsi,
.kategori,
.kontak,
.card-kategori{
    opacity:0;
    transform:translateY(60px);
    transition:1s;
}

.active{
    opacity:1;
    transform:translateY(0);
}

/*=========================================
        MENU AKTIF
=========================================*/
.nav-menu a.active{
    color:#2E7D32;
    font-weight:600;
}

/*=========================================
        BACK TO TOP
=========================================*/
#backToTop{
    transition:.3s;
}

#backToTop:hover{
    background:#1B5E20;
}

/*=========================================
            TOGGLE BAHASA
=========================================*/
.language-toggle{
    display:flex;
    align-items:center;
    gap:5px;
}

.lang-id,
.lang-en{
    font-size:16px;
    font-weight:500;
    color:#222;
    gap:10px;
}

/*=========================================
                SWITCH
=========================================*/
.switch{
    position:relative;
    display:inline-block;
    width:54px;
    height:28px;
}

.switch input{
    display:none;
}

/*=========================================
                SLIDER
=========================================*/
.slider{
    position:absolute;
    cursor:pointer;
    inset:0;
    background:#cfd8dc;
    border-radius:50px;
    transition:.3s;
}

.slider::before{
    content:"";
    position:absolute;
    width:22px;
    height:22px;
    left:3px;
    top:3px;
    background:white;
    border-radius:50%;
    transition:.3s;
}

/*=========================================
            SAAT AKTIF
=========================================*/
input:checked + .slider{
    background:#2E7D32;
}

input:checked + .slider::before{
    transform:translateX(26px);
}

.language-toggle h2{
    font-size:16px;
    font-weight:500;
    transition:.3s;
}
